## ros-foxy-rosee-msg 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosee_msg)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()


find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)

find_package(actionlib_msgs REQUIRED)
find_package(example_interfaces REQUIRED)
find_package(std_srvs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(builtin_interfaces REQUIRED)


################################################
## Declare ROS messages, services and actions ##
################################################

rosidl_generate_interfaces(${PROJECT_NAME}
    "msg/EEGraspControl.msg"
    "msg/EEPinchControl.msg"
    "msg/EETriggerControl.msg"
    "msg/GraspingPrimitiveAggregated.msg"
    "msg/ROSEEActionControl.msg"
    "msg/MotorPosition.msg"
    "msg/MotorPhalangePressure.msg"
    "msg/GraspingAction.msg"
    "msg/JointsInvolvedCount.msg"
    "msg/NewGenericGraspingAction.msg"
    "msg/ObjectModelMsg.msg"
    "srv/GraspingPrimitiveAggregatedAvailable.srv"
    "srv/SelectablePairInfo.srv"
    "srv/GraspingActionsAvailable.srv"
    "srv/NewGenericGraspingActionSrv.srv"
    "srv/HandInfo.srv"
    "action/ROSEECommand.action"
    DEPENDENCIES builtin_interfaces geometry_msgs std_srvs example_interfaces actionlib_msgs
)


ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-foxy-rosee-msg (0.0.2-2focal) focal; urgency=high

  * Merge branch 'ros2' of https://github.com/ADVRHumanoids/rosee_msg into ros2
  * added ObjectModelMsg message for rosee grasp planner package
  * Dependincies must be set even if they are missing from tutorial
  * some dep
  * updates for ros2
  * first ros2 commit
  * Contributors: Davide Torielli, Liana Bertoni

 -- Luca Muratore <luca.muratore@iit.it>  Thu, 02 Jun 2022 22:00:00 -0000

=== debian/control ===
Source: ros-foxy-rosee-msg
Section: misc
Priority: optional
Maintainer: Luca Muratore <luca.muratore@iit.it>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-action-msgs, ros-foxy-actionlib-msgs, ros-foxy-ament-cmake, ros-foxy-builtin-interfaces, ros-foxy-example-interfaces, ros-foxy-geometry-msgs, ros-foxy-rosidl-default-generators, ros-foxy-std-srvs, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp
Homepage: https://advrhumanoids.github.io/ROSEndEffectorDocs/
Standards-Version: 3.9.2

Package: ros-foxy-rosee-msg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-action-msgs, ros-foxy-actionlib-msgs, ros-foxy-builtin-interfaces, ros-foxy-example-interfaces, ros-foxy-geometry-msgs, ros-foxy-rosidl-default-runtime, ros-foxy-std-srvs, ros-foxy-ros-workspace
Description: The rosee_msg package for ros2 version

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rosee-msg//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
